#include <stdio.h>
#include <string.h>

// Definición de la estructura
struct Estudiante {
    char nombre[50];  // Arreglo para almacenar el nombre
    int calificaciones[5];  // Arreglo para las calificaciones
};

int main(void) {
    // Declarar una variable de tipo estructura
    struct Estudiante est;

    // Declarar un puntero a la estructura
    struct Estudiante *ptr = &est;

    // Asignar valores al nombre usando el puntero
    strcpy(ptr->nombre, "Juan");

    // Asignar valores al arreglo de calificaciones usando el puntero
    for (int i = 0; i < 5; i++) {
        ptr->calificaciones[i] = (i + 1) * 10;  // Asignar valores 10, 20, 30, ...
    }

    // Mostrar los valores usando el puntero
    printf("Nombre del estudiante: %s\n", ptr->nombre);
    printf("Calificaciones:\n");
    for (int i = 0; i < 5; i++) {
        printf("Calificación %d: %d\n", i + 1, ptr->calificaciones[i]);
    }

    // Modificar las calificaciones usando el puntero
    for (int i = 0; i < 5; i++) {
        ptr->calificaciones[i] += 5;  // Incrementar cada calificación en 5
    }

    // Mostrar los valores modificados
    printf("\nCalificaciones modificadas:\n");
    for (int i = 0; i < 5; i++) {
        printf("Calificación %d: %d\n", i + 1, ptr->calificaciones[i]);
    }

    return 0;
}
